package org.verohallinto.apitamoclient.ui;

import org.apache.pivot.wtk.*;

/**
 * Drag files.
 */
public class DragMaterial implements DragSource {

    private LocalManifest content = null;

    public DragMaterial() {
    }

    @Override
    public boolean beginDrag(Component component, int x, int y) {

        String text = getLabel(new Label());

        if (text != null) {
            content = new LocalManifest();
            content.putText(text);
        }

        return (content != null);
    }

    @Override
    public void endDrag(Component component, DropAction dropAction) {
        content = null;
    }

    @Override
    public boolean isNative() {
        return true;
    }

    @Override
    public LocalManifest getContent() {
        return content;
    }

    @Override
    public Visual getRepresentation() {
        return null;
    }

    @Override
    public Point getOffset() {
        return null;
    }

    @Override
    public int getSupportedDropActions() {
        return DropAction.COPY.getMask();
    }

    private String getLabel(final Label label) {
        return label.getText();
    }
}
